Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.identification
Class KeywordType

    Object
      CodeList<KeywordType>
          KeywordType

All Implemented Interfaces:
  Serializable, Comparable<KeywordType>

    @UML(identifier="MD_KeywordTypeCode",
         specification=ISO_19115)
    public final class KeywordType

extends CodeList<KeywordType>

Methods used to group similar keywords.

Since:
  GeoAPI 2.0
See Also:
  Serialized Form

Field Summary
`static KeywordType` | `DISCIPLINE` Keyword identifies a branch of instruction or specialized learning.
`static KeywordType` | `PLACE` Keyword identifies a location.
`static KeywordType` | `STRATUM` Keyword identifies the layer(s) of any deposited substance.
`static KeywordType` | `TEMPORAL` Keyword identifies a time period related to the dataset.
`static KeywordType` | `THEME` Keyword identifies a particular subject or topic.

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static KeywordType` | `valueOf(String code)` Returns the KeywordType that matches the given string, or returns a new one if none match it.
`static KeywordType[]` | `values()` Returns the list of `KeywordType`s.

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DISCIPLINE

    @UML(identifier="discipline",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final KeywordType DISCIPLINE

  Keyword identifies a branch of instruction or specialized learning.

### PLACE

    @UML(identifier="place",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final KeywordType PLACE

  Keyword identifies a location.

### STRATUM

    @UML(identifier="stratum",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final KeywordType STRATUM

  Keyword identifies the layer(s) of any deposited substance.

### TEMPORAL

    @UML(identifier="temporal",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final KeywordType TEMPORAL

  Keyword identifies a time period related to the dataset.

### THEME

    @UML(identifier="theme",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final KeywordType THEME

  Keyword identifies a particular subject or topic.

Method Detail

### values

    public static KeywordType[] values()

  Returns the list of `KeywordType`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<KeywordType>`

### valueOf

    public static KeywordType valueOf(String code)

  Returns the KeywordType that matches the given string, or returns a new one if none match it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.